UUID_TIME(3)

NAME
uuid_time - extract the time at which the UUID was created

SYNOPSIS
#include <uuid/uuid.h>

time_t uuid_time(uuid_t uu, struct timeval *ret_tv)

DESCRIPTION
The uuid_time function extracts the time at which the supplied UUID uu was created. Note that the UUID creation time is encoded within the UUID, and this function can only reasonably expect to extract the creation time for UUIDs created with the uuid_generate(3) function. It may or may not work with UUIDs created by OSF DCE uuidgen.

RETURN VALUES
The time at which the UUID was created, in seconds since January 1, 1970 GMT (the epoch), is returned (see time(2)). The time at which the UUID was created, in seconds and microseconds since the epoch, is also stored in the location pointed to by ret_tv (see gettimeofday(2)).

AUTHOR
uuid_time was written by Theodore Y. Ts'o for the ext2 filesystem utilties.

AVAILABILITY
uuid_time is part of libuuid from the e2fsprogs package and is available from http://e2fsprogs.sourceforge.net.

SEE ALSO
libuuid(3), uuid_clear(3), uuid_compare(3), uuid_copy(3), uuid_generate(3), uuid_is_null(3), uuid_parse(3), uuid_unparse(3)